DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Attributes | List of all members
DcmQuantPixelBox Struct Reference

helper structure for class DcmQuantPixelBoxArray. More...

## Public Attributes
int | ind
| index of the color histogram array where the colors represented by this box start
int | colors
| the number of colors represented by this box
unsigned long | sum
| the number of pixels represented by this box

## Detailed Description

helper structure for class DcmQuantPixelBoxArray.

Each object of this class represents a pixel box used in the Median Cut algorithm.

## Member Data Documentation

## ◆ colors

int DcmQuantPixelBox::colors

the number of colors represented by this box

## ◆ ind

int DcmQuantPixelBox::ind

index of the color histogram array where the colors represented by this box start

## ◆ sum

unsigned long DcmQuantPixelBox::sum

the number of pixels represented by this box

The documentation for this struct was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diqtpbox.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2